Package org.xnio

# Class Closer

java.lang.Object
org.xnio.Closer

All Implemented Interfaces:
  `Runnable`

public final class Closer extends Object implements Runnable
A `Runnable` that closes some resource.

## Constructor Summary

Constructors
Constructor
Description
`Closer(Closeable resource)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Closer

public Closer(Closeable resource)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`